function datdescriptor_write(dirname, dims, datatype, comment)
% Requires: directory with name dirname must alread exist.
% Effects: Writes a datfile descriptor into directory dirname.
%          Assumes dataset format (single data file) for storing movies.
%          dims = [#rows(y) #cols(x) #nframes]

error(nargchk(4,4,nargin));

fid = ms_fopen([dirname '/descriptor'], 'wt');
fprintf(fid, '(_data_files 1)\n');
fprintf(fid, '(_data_sets %d)\n', dims(3));
fprintf(fid, '(_channels 1)\n');
fprintf(fid, '(_dimensions %d %d)\n',dims(1),dims(2));
fprintf(fid, '(_data_type %s)\n',datatype);
if strcmp(datatype,'float')
  disp('datdescriptor_write: assuming float_rep is IEEE and byte_order is msb')
  fprintf(fid,'(_float_rep ieee)\n');
  fprintf(fid,'(_byte_order msb)\n');
end
timestamp=fix(clock);
fprintf(fid, '(_history Created: Matlab datdescriptor_write on %s; %dh%d; %d)\n', ...
        date,timestamp(4:6));
fprintf(fid, '(_comment %s)', comment);


success = fclose(fid);
if success == -1,  error('Could not close descriptor file'); end;

